Bug 420441 - Update to yum-3.2.8-2.fc8 fails because public key is not installed
Update to yum-3.2.8-2.fc8 fails because public key is not installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
8
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
: 420771 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 15:30 EST by Nik Lam
Modified: 2014-03-16 23:11 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 13:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nik Lam 2007-12-11 15:30:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc8 Firefox/2.0.0.10

Description of problem:
Trying to update yum via either via the command line or via pup fails.

The error indicates that the public key that the rpm has been signed for is not installed.

Version-Release number of selected component (if applicable):
yum-3.2.8-2

How reproducible:
Always


Steps to Reproduce:
1. as root, run yum -y update

Actual Results:
[root@localhost ~]# yum -y update
Loading "priorities" plugin
124 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package yum.noarch 0:3.2.8-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 yum                     noarch     3.2.8-2.fc8      updates           509 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 509 k
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8


Public key for yum-3.2.8-2.fc8.noarch.rpm is not installed
[root@localhost ~]# 


Expected Results:
There should be no errors and the update should complete.

Additional info:
I'm using the yum/repository configuration suggested on fedorafaq.org
Comment 1 Daniel Duggan 2007-12-11 15:49:20 EST
Same here
# yum check-update

yum.noarch                               3.2.8-2.fc8            updates     
]# yum update
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package yum.noarch 0:3.2.8-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 yum                     noarch     3.2.8-2.fc8      updates           509 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 509 k
Is this ok [y/N]: 
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8


Public key for yum-3.2.8-2.fc8.noarch.rpm is not installed

Comment 2 David 2007-12-11 16:55:53 EST
Can someone at redhat please repackage yum properly :(
Comment 3 David 2007-12-11 17:03:37 EST
In the meantime while we wait another day or so you can do the following.

yum --nogpgcheck update

Comment 4 Seth Vidal 2007-12-11 17:08:05 EST
first off this isn't a yum bug. it's something up in the signing/push processes
in bodhi, etc

second it's not packaged improperly, it's just not signed properly.

finally, I'm closing and reassigning this to general distribution b/c it is known

thanks.
Comment 5 Nik Lam 2007-12-11 17:22:37 EST
OK thanks Seth.

For future reference, what would be the best way to report a packaging issue?
Comment 6 Seth Vidal 2007-12-11 17:31:01 EST
well, if it is a packaging problem a bug report against the package is fine.

this is a distribution problem and should be filed against 'distribution', as I
reassigned it.

Comment 7 Nik Lam 2007-12-11 17:43:09 EST
OK. Thanks for the clarification. I understand the distinction now.
Comment 8 Daniel Duggan 2007-12-11 17:49:59 EST
Thanks

Comment 9 Jeremy Katz 2007-12-11 19:37:49 EST
*** Bug 420771 has been marked as a duplicate of this bug. ***
Comment 10 Mark Eackloff 2007-12-12 00:55:27 EST
Peculiar.  This is listed as a x86_64 bug.  My AMD 64x2 box did not have this
problem but my P4 box (single CPU) did.
Comment 11 Nik Lam 2007-12-12 02:01:31 EST
I initially reported it as x86_64 because that's where I first saw it, but I
also experienced the problem an i386 distro version.

I've changed the hardware field in this bug to noarch, in case I've got
permissions to do this.
Comment 12 Michal Jaegermann 2007-12-12 12:01:54 EST
Re comment #10.  This has nothing to do with architecture.
The package in question is "noarch".  See bug 420771 for
an explanation why now you see that, and now you don't.
Comment 13 Bug Zapper 2008-11-26 03:57:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bill Nottingham 2008-11-26 13:35:55 EST
This specifically was cleaned up, and I believe the mash configs for updates have been changed so this will no longer happen.

Note You need to log in before you can comment on or make changes to this bug.